> ## Documentation Index
> Fetch the complete documentation index at: https://docs.perquery.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List integration properties

> Returns the properties (for example Search Console sites or Analytics properties) that the connected account of one integration can access.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/sites/{site_uuid}/integrations/{provider}/properties
openapi: 3.0.3
info:
  title: Perquery API
  version: 1.0.0
  description: Read-only access to the data of your Perquery organization.
servers:
  - url: https://perquery.ai/api
security:
  - apiKey: []
paths:
  /v1/sites/{site_uuid}/integrations/{provider}/properties:
    get:
      tags:
        - Integrations
      summary: List integration properties
      description: >-
        Returns the properties (for example Search Console sites or Analytics
        properties) that the connected account of one integration can access.
      operationId: list_properties
      parameters:
        - in: path
          name: provider
          schema:
            type: string
            enum:
              - ga4
              - google_ads
              - gsc
              - meta_ads
          required: true
        - in: path
          name: site_uuid
          schema:
            type: string
            format: uuid
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PropertiesResponse'
          description: ''
      security:
        - apiKey: []
components:
  schemas:
    PropertiesResponse:
      type: object
      properties:
        properties:
          type: array
          items:
            $ref: '#/components/schemas/RemotePropertyResponse'
      required:
        - properties
    RemotePropertyResponse:
      type: object
      properties:
        reference:
          type: string
        label:
          type: string
      required:
        - label
        - reference
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: '`ApiKey pq_<prefix>_<secret>`. An API key gives read-only access.'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.